package com.inspect.taskftp.service;

import com.inspect.taskftp.domain.PatrolTaskFtp;

import java.util.List;

public interface IPatrolTaskFtpService {
    PatrolTaskFtp selectPatrolTaskFtpByLineId(Long lineId);

    List<PatrolTaskFtp> selectPatrolTaskFtpList(PatrolTaskFtp patrolTaskFtp);

    int insertPatrolTaskFtp(PatrolTaskFtp patrolTaskFtp);

    int updatePatrolTaskFtp(PatrolTaskFtp patrolTaskFtp);

    int deletePatrolTaskFtpByLineIds(Long[] lineIds);

    int deletePatrolTaskFtpByLineId(Long lineId);
}
